%define upstream_name    HTML-Links-Localize
%define upstream_version 0.2.11

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Convert HTML Files to be used on a hard disk
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(HTML::TokeParser)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
HTML::Links::Localize converts HTML files to be used when viewing on the
hard disk. Namely, it converts relative links to point to "index.html"
files in their directories.

To use it, first initialize an instance using new:

$converter = HTML::Links::Localize->new(base_dir => $base_dir, dest_dir =>
$dest_dir)
    The constructor accepts two named parameters which are mandatory.
    ''base_dir'' is the base directory (or source directory) for the
    operations. ''dest_dir'' is the root destination directory.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc COPYING Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_bindir}/html-to-hd
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.2.11-2.mga9
+ Revision: 1813468
- Mageia 9 Mass Rebuild

* Tue Oct 20 2020 tv <tv> 0.2.11-1.mga8
+ Revision: 1637202
- update to 0.2.11

* Sat Feb 15 2020 umeabot <umeabot> 0.2.10-2.mga8
+ Revision: 1528655
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sun Aug 25 2019 tv <tv> 0.2.10-1.mga8
+ Revision: 1432097
- update to 0.2.10

* Thu Sep 20 2018 umeabot <umeabot> 0.2.9-2.mga7
+ Revision: 1283965
- Mageia 7 Mass Rebuild

* Tue May 22 2018 shlomif <shlomif> 0.2.9-1.mga7
+ Revision: 1231547
- New version 0.2.9

* Sun Jun 19 2016 pterjan <pterjan> 0.2.8-5.mga6
+ Revision: 1028234
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.2.8-4.mga6
+ Revision: 936622
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.8-3.mga5
+ Revision: 746629
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.8-2.mga5
+ Revision: 684947
- Mageia 5 Mass Rebuild

* Tue Feb 25 2014 jquelin <jquelin> 0.2.8-1.mga5
+ Revision: 597023
- update to v0.2.8

* Fri Oct 18 2013 umeabot <umeabot> 0.2.7-4.mga4
+ Revision: 511999
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.2.7-3.mga3
+ Revision: 368032
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 08 2012 shlomif <shlomif> 0.2.7-2.mga3
+ Revision: 257893
- New version - 0.2.7

* Thu Dec 01 2011 shlomif <shlomif> 0.2.6-2.mga2
+ Revision: 174908
- Convert to a macro
- imported package perl-HTML-Links-Localize


* Thu Dec 01 2011 cpan2dist 0.2.6-1mga
- initial mageia release, generated with cpan2dist
